Skip to content

Create Schedule Run

POST
/pipelines/jobs/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/jobs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"sku_id": 0,
"sku_item_price_id": 0,
"next_sku_item_price_id": 0,
"committed_instance_policy": "string",
"name": "string",
"description": "string",
"experiment_id": "string",
"pipeline_version_id": "string",
"max_concurrency": 1,
"run_parameter": [
{
"name": "string",
"value": "string"
}
],
"run_type": "scheduled_job",
"periodic_schedule": {
"interval_second": 0,
"start_time": "string",
"end_time": "string"
}
}'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
sku_id
required

SKU ID for the run. Get it from the SKU List API response.

integer
sku_item_price_id
required

Price ID for the SKU item. Get it from the SKU List API response.

integer
next_sku_item_price_id

ID for the next SKU item price, if any

integer
nullable
committed_instance_policy

Committed instance policy

string
name
required

Name of the scheduled run

string
description

Description of the scheduled run

string
experiment_id
required

ID of the associated experiment. Get it from the experiment_id field in the Experiment List API response.

string format: uuid
pipeline_version_id
required

Version ID of the pipeline. Get it from the version_id field in the Version List API response.

string format: uuid
max_concurrency

Maximum number of concurrent runs allowed. Defaults to 1 if not provided. Do not include this field in the request body.

integer
default: 1
run_parameter

Runtime parameters for the pipeline run

Array<object>
object
name
string
value
string
run_type

Type of run

string
Allowed values: scheduled_job
periodic_schedule
required
object
interval_second
required

Interval in seconds between runs (e.g. 86400 for daily)

integer
start_time

Start time for the schedule in UTC (e.g. 2024-11-14T18:25:47Z)

string format: date-time
end_time

End time for the schedule in UTC. Leave empty for no end time.

string format: date-time

Scheduled run created successfully

Media typeapplication/json
object
code
integer
data
object
id

The unique identifier of the scheduled job.

integer
name

The name of the scheduled job.

string
job_id

Unique identifier for the job.

string
is_enabled

Indicates whether the job is enabled.

boolean
experiment_id

ID of the associated experiment.

string
pipeline_version_id

ID of the pipeline version.

string
max_concurrency

The maximum number of concurrent runs allowed.

integer
trigger
object
periodic_schedule
object
end_time
string format: date-time
start_time
string format: date-time
interval_second
integer
source
string
errors
object
message
string

Example

{
"code": 201,
"data": {
"id": 30,
"name": "tir-scheduled-run-example",
"job_id": "e05346aa-97ce-41d0-962f-f9087c86c5f6",
"is_enabled": true,
"experiment_id": "843",
"pipeline_version_id": "1792",
"max_concurrency": 1,
"trigger": {
"periodic_schedule": {
"end_time": "2024-11-15T18:25:47Z",
"start_time": "2024-11-14T18:25:47Z",
"interval_second": 86400
}
},
"source": "pipeline"
},
"errors": {},
"message": "Success"
}